package mPack;

import Jama.Matrix;

// holds a set of parameters recorded in a test run, for replay with altered parameters

public class TestRun {
	
	// name of the test run
	public String name;
	
	// whether it is a bee or a bat
	public int beeBat;
	
	// allowed species, from class SFM_Model
	// public static int BAT =1;
	// public static int BEE = 2;
	
	// parameters of the run
	public double[] parameter = new double[12];
	
	// (x,y,z) coordinates of up to 20 objects (not rotated)
	public double[][] object = new double[20][3];

	// animal's position before each step
	public double[][] pos = new double[100][3];	
	
	// number of steps taken in the run
	public int steps = 0;
	
	
	//--------------------------------------------------------------------------------------------
	//                                 Constructor
	//--------------------------------------------------------------------------------------------
	
	/**
	 * 
	 * @param beeBat
	 * @param param
	 * @param obj
	 * @param posn
	 * @param steps
	 */
	public TestRun(String name, int beeBat,double[] param,Matrix[][] obj,double[][] posn, int steps)
	{
		this.name = name;
		this.beeBat = beeBat;
		parameter = param;
		pos = posn;
		this.steps = steps;
	}

	
	//--------------------------------------------------------------------------------------------
	//                                
	//--------------------------------------------------------------------------------------------
	
	


}
